#pragma once

#include "AtomColorScheme.h"
#include <map>

class ColorSchemeFromFile : public AtomColorScheme
{
private:
	bool initialized = false;
	std::map<std::string, FVector> colorMap;
public:
	ColorSchemeFromFile() = delete;
	explicit ColorSchemeFromFile(std::string filepath);
	FVector getColorForElement(std::string elementName) override;
	bool isInitialized() const;
};